> ## Documentation Index
> Fetch the complete documentation index at: https://docs.patch.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a contact sheet of a run, and get where to upload it



## OpenAPI

````yaml /api-reference/openapi.json post /tests/{id}/sheets
openapi: 3.1.0
info:
  title: Patch API
  version: 1.0.0
  description: >-
    The public API behind patch.gg, the desktop app and pch. Changes within v1
    are additive only. Errors are { error: { code, message, details } }; branch
    on code.
servers:
  - url: https://patch.gg/api/v1
security: []
paths:
  /tests/{id}/sheets:
    post:
      tags:
        - Review
      summary: Add a contact sheet of a run, and get where to upload it
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                run:
                  type: integer
                  minimum: 1
                index:
                  type: integer
                  minimum: 0
                sha256:
                  type: string
                size:
                  type: integer
                frame_times:
                  type: array
                  items:
                    type: number
                    minimum: 0
                  minItems: 1
                  maxItems: 100
              required:
                - run
                - index
                - sha256
                - size
                - frame_times
      responses:
        '200':
          description: Where to upload it
          content:
            application/json:
              schema:
                type: object
                properties:
                  upload:
                    type:
                      - object
                      - 'null'
                    properties:
                      method:
                        type: string
                        enum:
                          - PUT
                      url:
                        type: string
                      headers:
                        type: object
                        additionalProperties:
                          type: string
                      expires_at:
                        type: string
                    required:
                      - method
                      - url
                      - headers
                      - expires_at
                    description: Null when it's stored
                required:
                  - upload
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Not signed in
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Not allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: version_exists
            message:
              type: string
            details: {}
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: An API key (pch_...) or the token from pch login.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.